# LocalizationWrapper Namespace Reference

## Functions
def | initWindow
| initialize some varibles when window pops up
def | cleanUp
| clean Up the module.
def | disconnectFields
| reset and disconnect fields
def | selectChanged3D
| pop up the 3D selection context menu
def | selectChanged2D
| pop up the 2D select context menu
def | sendQuery
| send a query to the Database and return the result set
def | getImageFileName
| get the Image File Name
def | select3DAsSource
| The function specifies actions taken when user selects 3D image as a source.
def | loadImage
| load image given a fileName and src or Target type
def | select3DAsTarget
| The function specifies actions taken when user selects 3D image as a target.
def | regExistAndApproved
| The function specifies the actions taken when the user selects approve and finish registration.
def | cancel
| The function is called when user selects cancel button.
def | go
| It specifies the actions that were taken when user clicks go button.
def | fillInAffineMatrix
| get the AffineMatrix for 3D src and 3D target and fill In the Localization panel
def | fillInMatrices
| fill In the projection matrixes fields
def | raiseW
| when the user select "selection", the background Image and registration list will be popped up in the front
def | reloadCSO
| reload the CSO for Image with ID "targetID"
def | updateCSOList
| update CSOList in the list panel
def | Image2D1
| The function specifies the action when user selects Image2D1.
def | Image2D2
| The function specifies the action when user selects Image2D2.
def | load2DImage
| load 2D image data from file
def | getPatientRecordID
| get the patient record ID
def | loadGUILists
| init DB and load the 2D images, 3D images and registrations existed in DB
def | loadCSOList
| load the CSOList existed in DB
def | load3DImageList
| load the 3D image List
def | closePWin
| close the Window
def | load2DImageList
| loaded 2D image list
def | loadRegItem
| load the registrations existed in DB
def | CSOManagerUpdate
| update changes from CSO manager
def | setWindows
| set up whether source, target 2D image viewers will be shown
def | help
| help function
## Variables
string | src3D = ""
| Global varibles.
string | target3D = ""
string | Img2D1 = ""
string | Img2D2 = ""
| winHandle = None
| win3D = None

## Detailed Description

    * Copyright (c) 2009 Stanford University, School of Medicine All rights reserved.
    *
    * STANFORD ACADEMIC SOFTWARE LICENSE AGREEMENT
    * FOR AngioLocalize SOURCE CODE:
    *
    * 1.  This is a legal agreement between you, RECIPIENT, and STANFORD UNIVERSITY.
    *       By accepting, receiving, and using AngioLocalize.including any accompanying information, materials or
    *       manuals (Program), you are agreeing to be bound by the terms of this Agreement.
    *       If you do not agree to the terms of this Agreement, promptly return the Program to the STANFORD.

    * 2.  STANFORD grants to RECIPIENT a royalty-free, nonexclusive, and nontransferable license to use the Program
    *       and accompanying source code furnished hereunder, upon the terms and conditions set out below.
    *       documentation and/or other materials provided with the distribution.
    * 3.  RECIPIENT acknowledges that the Program is a research tool still in the development stage and that
    *       it is being supplied as is, without any accompanying services, support or improvements from STANFORD.
    * 4.  RECIPIENT agrees to use the Program solely for internal non-commercial purposes.
    * 5.  RECIPIENT may create derivatives and further transfer the Program under the following terms and conditions:
    *        A) Recipient agrees to not commercially exploit the Program and agrees all uses will be for non-commercial purposes; and,
    *        B) Recipient may not mark any derivatives with the title of Program and may not to use iPad mark for any derivatives; and,
    *        C) Recipient agrees to mark and acknowledge all derivatives as follows: "This is a derivative work based on AngioLocalize:
    *           Frameless AVM localization with 2D Digital Subtraction Angiography (DSA) and 3D Rotational Angiography (DRA) Images developed
    *           by Dimitre Hristov, Lina Liu.
    *        D) Recipient agrees to make all improvements, enhancements and derivatives available under
    *           similar terms and conditions to the research community.
    * 6.   RECIPIENT warrants that RECIPIENT will not remove or export any part of the software or Program from the United
    *       States except in full compliance with all United States and other applicable laws and regulations.
    * 7.  RECIPIENT will use the Program in compliance with all applicable laws, policies and regulations including, but not
    *       limited to, any approvals, informed consent and patient confidentiality principles.
    * 8.   RECIPIENT will indemnify, hold harmless, and defend Stanford against any claim of any kind arising out of or
    *       related to the exercise of any rights granted under this Agreement or the breach of this Agreement by RECIPIENT.
    * 9.  Title and copyright to the Program and any associated documentation shall at all times remain with STANFORD,
    *       and RECIPIENT agrees to preserve same.

## Function Documentation

def LocalizationWrapper::cleanUp | ( |  | ) |

clean Up the module.

Disconnect all the image inputs and other connections that may cause performance slow down

Definition at line 78 of file LocalizationWrapper.py.

All Classes Namespaces Files Functions Variables Enumerator Friends